import request from '@/utils/request'

// 查询送检医院列表
export function listSampleHospital(query) {
  return request({
    url: '/sample/sampleHospital/list',
    method: 'get',
    params: query
  })
}

// 查询送检医院详细
export function getSampleHospital(id) {
  return request({
    url: '/sample/sampleHospital/' + id,
    method: 'get'
  })
}

// 新增送检医院
export function addSampleHospital(data) {
  return request({
    url: '/sample/sampleHospital',
    method: 'post',
    data: data
  })
}

// 修改送检医院
export function updateSampleHospital(data) {
  return request({
    url: '/sample/sampleHospital',
    method: 'put',
    data: data
  })
}

// 删除送检医院
export function delSampleHospital(id) {
  return request({
    url: '/sample/sampleHospital/' + id,
    method: 'delete'
  })
}
